#!/bin/bash

PARAMS="$*" # all parameters for ./handler from billing
LOG='/tmp/handler.log' # no comments

# flushing variables
ACTION=''
REASON=''
SESSION=''
LOGIN=''
NAS=''
ANI=''
PASSWORD=''
PHONE=''

log()
{
    echo "[`date +'%d-%m-%Y %H:%M:%S'`] - $1 [$PARAMS]" >> $LOG # log error events
}

# for debug purposes
# log_error "DEBUG"
# parsing handler parameters
while [ -n "$1" ]
do
    case $1 in
    "--action")
        ACTION=$2
        ;;
        
    "--reason")
        REASON=$2
        ;;
        
    "--session")
        SESSION=$2
        ;;
        
    "--login")
        LOGIN=$2
        ;;
        
    "--nas")
        NAS=$2
        ;;
        
    "--ani")
        ANI=$2
        ;;
        
    "--password")
        PASSWORD=$2
        ;;
        
    "--phone")
        PHONE=$2
        ;;
    *)
        log "Unknown parameters: $1, $2"
        ;;
    esac
    shift 2
done

echo "action: $ACTION"
case $ACTION in
    "stop")
        echo "1" > /dev/null
        ;;
        
    "start")
        echo "1" > /dev/null
        ;;
        
    "delete")
        echo "1" > /dev/null
        ;;
        
    "create")
        echo "1" > /dev/null
        ;;
        
    "edit")
        echo "1" > /dev/null
        ;;
        
    "off")
        echo "1" > /dev/null
        ;;
        
    "on")
        echo "1" > /dev/null
        ;;
    *)
        log "Unknown action $ACTION"
        ;;
esac
